<?php
class links extends Module{
	protected $moduleTitle = 'Liens';
	protected $paramsList = array(
		'visibility'
	);
	
	const LINKS_FILE = 'db/links.xml';
	
	public function __construct($params){
		parent::__construct(__CLASS__, $params);
	}
	
	public function build(){
		echo '<script type="text/javascript" src="'.$this->pathToModule.'js/'.$this->moduleName.'.js"></script>
				<link rel="stylesheet" href="'.$this->pathToModule.'css/'.$this->moduleName.'.css" type="text/css" />
				<div style="display:none;"><div id="links-add-fancy"></div></div>
				<div class="appscontainer">';
		if($links_xml = simplexml_load_file($this->pathToModule.self::LINKS_FILE)){
			$links = $links_xml->label;
			foreach($links as $label){
				//<span class="label">'.$label['id'].'</span>
				echo '<ul class="iconlist" id="'.$label['id'].'">';
				foreach($label->link as $link){
					echo '<li class="iconitem" id="'.$link->title.'"><img src="images/interface/delete.png" class="deleteLink" /><a href="'.$link->url.'" class="'.$link->onclick.'"><img src="images/links/'.$link->img.'" /><br>'.$link->title.'</a></li>';
				}
				echo '</ul> 
						<hr>';
			}
		}else{
			echo 'Can\'t find '.$this->pathToModule.self::LINKS_FILE;
		}
		echo '</div>';
		
	}
}